From: "Mike Gilbert" <floppym@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/netifrc:master commit in: net/
Date: Mon, 29 May 2023 00:17:57 +0000 (UTC) [thread overview]
Message-ID: <1685314142.0ac293faa15b49f08830120e7b5fa1e4523f19e5.floppym@OpenRC> (raw)
commit: 0ac293faa15b49f08830120e7b5fa1e4523f19e5
Author: Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Sun May 28 20:07:47 2023 +0000
Commit: Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Sun May 28 22:49:02 2023 +0000
URL: https://gitweb.gentoo.org/proj/netifrc.git/commit/?id=0ac293fa
Update pidfile path for ppp-2.5.0
Bug: https://bugs.gentoo.org/907311
Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>
net/pppd.sh | 38 ++++++++++++++++++++++++++++++--------
1 file changed, 30 insertions(+), 8 deletions(-)
diff --git a/net/pppd.sh b/net/pppd.sh
index 22644f2..1b14fed 100644
--- a/net/pppd.sh
+++ b/net/pppd.sh
@@ -1,4 +1,4 @@
-# Copyright (c) 2005-2007 Gentoo Foundation
+# Copyright (c) 2005-2023 Gentoo Authors
# Copyright (c) 2007-2008 Roy Marples <roy@marples.name>
# Released under the 2-clause BSD license.
# shellcheck shell=sh disable=SC1008
@@ -21,12 +21,28 @@ requote()
printf "'%s' " "$@"
}
+pppd_version_int() {
+ # 002004008 is v2.4.8
+ printf '%03d' $(/usr/sbin/pppd --version | awk '/pppd version/ {print $3}' | tr '.' ' ')
+}
+
pppd_is_ge_248()
{
- local ver_str="$(/usr/sbin/pppd --version 2>&1 | awk '/pppd version/ {print $3}' | tr '.' ' ')"
+ [ $(pppd_version_int) -ge 002004008 ]
+}
- # 002004008 is v2.4.8
- [ "$(printf '%03d' ${ver_str})" -ge 002004008 ]
+pppd_is_ge_250()
+{
+ [ $(pppd_version_int) -ge 002005000 ]
+}
+
+pppd_pidfile()
+{
+ if pppd_is_ge_250; then
+ echo "/run/pppd/ppp-${IFACE}.pid"
+ else
+ echo "/run/ppp-${IFACE}.pid"
+ fi
}
pppd_pre_start()
@@ -207,16 +223,18 @@ pppd_pre_start()
fi
[ "${insert_link_in_opts}" = "0" ] || opts="${link} ${opts}"
+ local pidfile="$(pppd_pidfile)"
+
ebegin "Starting pppd in ${IFACE}"
mark_service_inactive
if [ -n "${username}" ] \
&& [ -n "${password}" -o -z "${passwordset}" ]; then
printf "%s" "${password}" | \
eval start-stop-daemon --start --exec /usr/sbin/pppd \
- --pidfile "/run/ppp-${IFACE}.pid" -- "${opts}" >/dev/null
+ --pidfile "${pidfile}" -- "${opts}" >/dev/null
else
eval start-stop-daemon --start --exec /usr/sbin/pppd \
- --pidfile "/run/ppp-${IFACE}.pid" -- "${opts}" >/dev/null
+ --pidfile "${pidfile}" -- "${opts}" >/dev/null
fi
if ! eend $? "Failed to start PPP"; then
@@ -243,9 +261,13 @@ pppd_start()
pppd_stop()
{
yesno ${IN_BACKGROUND} && return 0
- local pidfile="/run/ppp-${IFACE}.pid"
- [ ! -s "${pidfile}" ] && return 0
+ local pidfile="$(pppd_pidfile)"
+ if [ ! -s "${pidfile}" ]; then
+ # Try the old path.
+ pidfile="/run/ppp-${IFACE}.pid"
+ [ -s "${pidfile}" ] || return 0
+ fi
# Give pppd at least 30 seconds do die, #147490
einfo "Stopping pppd on ${IFACE}"
next reply other threads:[~2023-05-29 0:18 UTC|newest]
Thread overview: 112+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-05-29 0:17 Mike Gilbert [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-18 21:50 [gentoo-commits] proj/netifrc:master commit in: net/ Sam James
2025-03-18 21:50 Sam James
2025-03-18 21:50 Sam James
2024-09-29 0:28 Sam James
2024-09-23 12:02 Sam James
2024-09-09 22:43 Patrick McLean
2024-09-01 9:22 Sam James
2024-09-01 9:21 Sam James
2024-08-28 18:54 Patrick McLean
2024-06-11 0:39 Patrick McLean
2024-06-11 0:39 Patrick McLean
2024-05-23 18:12 Patrick McLean
2023-11-26 5:31 Robin H. Johnson
2023-11-25 4:52 Robin H. Johnson
2023-10-19 22:57 Sam James
2023-09-10 15:15 Sam James
2023-04-19 17:14 Robin H. Johnson
2023-04-17 4:35 Sam James
2023-02-12 6:54 Sam James
2023-01-19 18:50 Sam James
2023-01-19 18:50 Sam James
2023-01-17 15:06 Sam James
2023-01-17 15:06 Sam James
2023-01-17 15:06 Sam James
2023-01-15 20:37 Sam James
2023-01-15 14:03 Sam James
2023-01-15 14:03 Sam James
2023-01-15 1:53 Sam James
2023-01-15 1:51 Sam James
2023-01-15 1:51 Sam James
2022-12-25 19:14 Robin H. Johnson
2022-12-25 19:07 Robin H. Johnson
2021-03-31 1:11 Patrick McLean
2021-03-11 16:54 Lars Wendler
2021-03-11 16:54 Lars Wendler
2021-03-11 16:54 Lars Wendler
2021-02-02 8:28 Lars Wendler
2021-01-27 16:55 Lars Wendler
2021-01-27 14:19 Lars Wendler
2021-01-27 14:06 Lars Wendler
2021-01-24 10:37 Lars Wendler
2021-01-18 14:40 Lars Wendler
2021-01-18 13:04 Lars Wendler
2021-01-18 12:33 Lars Wendler
2021-01-18 12:33 Lars Wendler
2021-01-05 14:27 Lars Wendler
2021-01-05 12:46 Lars Wendler
2021-01-05 12:46 Lars Wendler
2020-12-15 20:11 Lars Wendler
2020-06-02 21:54 Robin H. Johnson
2020-05-31 6:05 Robin H. Johnson
2020-05-31 5:42 Robin H. Johnson
2020-05-31 5:29 Robin H. Johnson
2020-05-31 5:29 Robin H. Johnson
2020-05-31 5:13 Robin H. Johnson
2020-05-31 5:13 Robin H. Johnson
2020-01-04 8:06 Robin H. Johnson
2020-01-04 7:59 Robin H. Johnson
2019-07-09 19:59 Ben Kohler
2019-07-09 19:59 Ben Kohler
2019-07-09 17:39 Ben Kohler
2019-04-21 4:11 Robin H. Johnson
2018-07-12 6:25 Robin H. Johnson
2018-07-10 21:11 Jason Donenfeld
2018-01-21 21:59 Robin H. Johnson
2017-11-27 20:22 Robin H. Johnson
2017-11-27 20:22 Robin H. Johnson
2017-11-14 20:48 Robin H. Johnson
2017-11-14 20:48 Robin H. Johnson
2017-10-21 20:56 Robin H. Johnson
2017-06-09 23:59 Robin H. Johnson
2017-06-09 23:55 Robin H. Johnson
2017-06-09 23:52 Robin H. Johnson
2017-06-09 23:52 Robin H. Johnson
2017-01-27 21:54 Robin H. Johnson
2016-10-27 1:23 Robin H. Johnson
2016-10-24 23:16 Robin H. Johnson
2016-10-24 20:58 Robin H. Johnson
2016-10-24 16:49 Robin H. Johnson
2016-10-24 0:25 Robin H. Johnson
2016-10-24 0:23 Robin H. Johnson
2016-10-24 0:23 Robin H. Johnson
2016-10-24 0:04 Robin H. Johnson
2016-10-24 0:04 Robin H. Johnson
2016-10-23 23:50 Robin H. Johnson
2016-10-23 23:50 Robin H. Johnson
2016-10-23 23:50 Robin H. Johnson
2016-10-23 22:39 Robin H. Johnson
2016-10-23 22:39 Robin H. Johnson
2016-10-05 14:42 Robin H. Johnson
2016-07-19 19:59 Robin H. Johnson
2016-07-05 18:14 Robin H. Johnson
2016-07-05 18:14 Robin H. Johnson
2016-07-05 18:14 Robin H. Johnson
2016-07-05 18:09 Robin H. Johnson
2015-11-08 14:33 Robin H. Johnson
2015-11-08 14:30 Robin H. Johnson
2015-05-25 10:04 Mike Frysinger
2015-05-25 10:04 Mike Frysinger
2015-05-25 10:04 Mike Frysinger
2015-05-25 10:01 Mike Frysinger
2015-01-22 23:01 Robin H. Johnson
2015-01-22 23:01 Robin H. Johnson
2014-12-11 18:13 Robin H. Johnson
2014-09-24 6:19 Robin H. Johnson
2014-07-17 17:56 Robin H. Johnson
2014-07-17 17:56 Robin H. Johnson
2014-04-15 18:18 Robin H. Johnson
2013-08-28 16:59 Robin H. Johnson
2013-08-27 20:06 Ian Stakenvicius
2013-08-25 8:17 Robin H. Johnson
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1685314142.0ac293faa15b49f08830120e7b5fa1e4523f19e5.floppym@OpenRC \
--to=floppym@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox